Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Benchmark", "Base class for benchmarks.")]
-  [StorableClass]
+  [StorableType("0715912F-4F40-40F6-AC08-677CC4F76819")]
   public abstract class Benchmark : IBenchmark {
     public virtual string ItemName {
@@ -63,5 +63,5 @@
 
     [StorableConstructor]
-    protected Benchmark(bool deserializing) { }
+    protected Benchmark(StorableConstructorFlag _) { }
     protected Benchmark(Benchmark original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
@@ -38,5 +38,5 @@
   [Item("Benchmark Algorithm", "An algorithm to execute performance benchmarks (Linpack, Dhrystone, Whetstone, etc.).")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 130)]
-  [StorableClass]
+  [StorableType("8E76490C-E5DA-4F09-8E94-10009FC4124D")]
   public sealed class BenchmarkAlgorithm : IAlgorithm, IStorableContent {
     private CancellationTokenSource cancellationTokenSource;
@@ -217,5 +217,5 @@
     #region Constructors
     [StorableConstructor]
-    private BenchmarkAlgorithm(bool deserializing) { }
+    private BenchmarkAlgorithm(StorableConstructorFlag _) { }
     private BenchmarkAlgorithm(BenchmarkAlgorithm original, Cloner cloner) {
       if (original.ExecutionState == ExecutionState.Started) throw new InvalidOperationException(string.Format("Clone not allowed in execution state \"{0}\".", ExecutionState));
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Dhrystone", "Dhrystone performance benchmark.")]
-  [StorableClass]
+  [StorableType("277F595A-4309-4FA6-9C9D-CD0A140D7BAB")]
   public sealed class Dhrystone : Benchmark {
     private const int Ident_1 = 0;
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    private Dhrystone(bool deserializing) : base(deserializing) { }
+    private Dhrystone(StorableConstructorFlag _) : base(_) { }
     private Dhrystone(Dhrystone original, Cloner cloner) : base(original, cloner) { }
     public Dhrystone() { }
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/HeuristicLab.Algorithms.Benchmarks-3.3.csproj
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/HeuristicLab.Algorithms.Benchmarks-3.3.csproj	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/HeuristicLab.Algorithms.Benchmarks-3.3.csproj	(revision 17097)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Algorithms.Benchmarks</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.Benchmarks-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -89,8 +89,17 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml" />
   </ItemGroup>
@@ -107,4 +116,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,6 +24,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
+  [StorableType("FFCF9EC9-35CE-43C2-85CF-F90CEA6058BC")]
   public interface IBenchmark : IItem {
     byte[][] ChunkData { get; set; }
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Linpack", "Linpack performance benchmark.")]
-  [StorableClass]
+  [StorableType("A480970C-E954-45F6-AFDE-BD99054E1BF7")]
   public sealed class Linpack : Benchmark {
     private const int DEFAULT_PSIZE = 1500;
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private Linpack(bool deserializing) : base(deserializing) { }
+    private Linpack(StorableConstructorFlag _) : base(_) { }
     private Linpack(Linpack original, Cloner cloner) : base(original, cloner) { }
     public Linpack() { }
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 17062)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Whetstone", "Whetstone performance benchmark.")]
-  [StorableClass]
+  [StorableType("95D2274E-EFC7-444C-B5CF-F087B0A3C027")]
   public sealed class Whetstone : Benchmark {
     private long begin_time;
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private Whetstone(bool deserializing) : base(deserializing) { }
+    private Whetstone(StorableConstructorFlag _) : base(_) { }
     private Whetstone(Whetstone original, Cloner cloner) : base(original, cloner) { }
     public Whetstone() { }
Index: stable/HeuristicLab.Algorithms.Benchmarks/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Algorithms.Benchmarks/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Algorithms.Benchmarks/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
